
Smart Proxy - Refactor #26785

Improve exception handling

05/13/2019 07:04 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Core   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/650

  

Description

We swallow exceptions in smart-proxy codebase via log_halt a lot.

Associated revisions

Revision 8073b77e - 08/17/2019 07:24 AM - Lukas Zapletal 

Fixes #26785 - improved exception handling

History

#1 - 05/13/2019 07:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/smart-proxy/pull/650 added

#2 - 08/17/2019 07:25 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#3 - 08/17/2019 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 8073b77edd4b446a79def637f189cdca971e2c82.
